- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
  - General options
  - Configuration options

# NAME

rt-test-dependencies - test rt's dependencies

# SYNOPSIS

        rt-test-dependencies
        rt-test-dependencies --install
        rt-test-dependencies --with-mysql --with-fastcgi

# DESCRIPTION

By default, `rt-test-dependencies` determines whether you have installed all the perl modules RT needs to run.

With --install, it attempts to install any missing dependencies. If the `RT_FIX_DEPS_CMD` environment variable is set, it will be used instead of the standard CPAN shell to install any required modules. The command will be called with the module to install -- or, if `RT_FIX_DEPS_CMD` contains a `%s`, will replace the `%s` with the module name before calling the program.

# OPTIONS

## General options

--install

  Attempt to install missing modules

--siteinstall / --no-siteinstall

  By default, RT detects if you are running a version of Perl prior to 5.11, which has been patched by your distribution to alter the search order for modules. In such cases, `--install` attempts to install modules into the right place such that they cannot be accidentally downgraded by the distribution. Use --siteinstall to force this behavior, or --no-siteinstall to prohibit it. These options have no effect when used with Perl 5.11 or above.

## Configuration options

--with-mysql
--with-pg
--with-oracle
--with-sqlite

  These configure which backend database to add dependencies for.

`--with-standalone`
--with-fastcgi
--with-modperl2

  These configure which interface between the webserver and RT to add dependencies for.

--with-developer

  Add dependencies needed to develop RT and run its tests.

--with-gpg

  Add dependencies for GPG encryption and decryption of email.

--with-graphviz

  Add dependencies for visualizing dependencies between tickets.

--with-gd

  Add dependencies for creating charts and graphs from search results.

--with-externalauth

  Add dependencies to integrating with LDAP and other external authentication sources.

--with-s3

  Add dependencies for storing large attachments in Amazon S3.

--with-dropbox

  Add dependencies for storing large attachments in Dropbox.

← Back to index